#-----------------------------------------------------------------------------
# UNIX
#-----------------------------------------------------------------------------
#
#CFLAGS = -O
#
#e =
#
#.c.o:
#	../../c++ $(CFLAGS) -I../../incl -c $*.c
#
#.o:
#	../../c++ $(CFLAGS) -o $* $*.o $(LIB)
#
#.c:
#	../../c++ $(CFLAGS) -I../../incl -c $*.c
#	../../c++ $(CFLAGS) -o $* $*.o $(LIB)


# begin_cdr
#-----------------------------------------------------------------------------
# AMIGA
#-----------------------------------------------------------------------------
INCL   = -I../../incl
LIBS   = $(LIB) -lg++ -lm -lc
SFLAGS = -m68881 -m68030 -Wall -s -O2
PP     = gcc -x c++
LINK   = gcc
e      = 

.c.o:
	$(PP) $(INCL) $(CFLAGS) $(SFLAGS) -c $*.c

.o:
	$(LINK) $(CFLAGS) $(SFLAGS) -o $* $*.o $(LIBS)

.c:
	$(PP) $(INCL) $(CFLAGS) $(SFLAGS) -c $*.c
	$(LINK) $(CFLAGS) $(SFLAGS) -o $* $*.o $(LIBS)

# end_cdr


#-----------------------------------------------------------------------------
# ZORTECH
#-----------------------------------------------------------------------------
#e = .exe
#
#.obj.exe:
#	ztc -cpp -mx $*.obj $(DOSLIB)
#.c.exe:
#	ztc -cpp -mx -I..\..\incl -c $*.c
#	ztc -cpp -mx $*.obj $(DOSLIB)

 
#-----------------------------------------------------------------------------
# BORLAND
#-----------------------------------------------------------------------------
#.SWAP
#e = .exe
# 
#.obj.exe:
#	bcc -P -Qx -mh $*.obj $(DOSLIB)
#.c.exe:
#	bcc -P -Qx -w- -mh -I..\..\incl -c $*.c
#	bcc -P -Qx -mh $*.obj $(DOSLIB)
 

#-----------------------------------------------------------------------------
# DJGPP
#-----------------------------------------------------------------------------
#e = .gpp
#
#.o.gpp:
#	gcc -o $*.gpp $*.o $(LIB)
#.c.gpp:
#	gcc -I../../incl -c -xc++ $*.c -xnone
#	gcc -o $*.gpp $*.o $(LIB)



#-----------------------------------------------------------------------------
# Programs
#-----------------------------------------------------------------------------

include Make.lst

all: $(PROGS)

clean:
	rm -f *.o $(PROGS) core

